Skip to main content

Get Transferable Coins

Get list of coins that can be transferred between specified account types.

HTTP Request

GET /api/v1/spot/account/transfer-coin-info

Request Parameters

ParameterTypeRequiredDescription
fromTypestringYesSource account: "FUSD", "SPOT", "LENDING", "STAKING"
toTypestringYesDestination account: "FUSD", "SPOT", "LENDING", "STAKING"

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/spot/account/transfer-coin-info?fromType=SPOT&toType=FUSD" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataarrayArray of transferable coin symbols

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": ["USDT"]
}

Error Codes

CodeMessage
40002Unauthorized
40004Source and destination cannot be the same
40034Transfer is not available for this coin
43002Transfer between these wallet types is not supported
50000System error